[bug#35467] Update Emacs packages.
diff mbox series

Message ID CAAc=MEy7nFxiqzXmyF7iDuNrKH=kboNq5+tL6Fa0VxwU20N3dw@mail.gmail.com
State New
Headers show
Series
  • [bug#35467] Update Emacs packages.
Related show

Checks

Context Check Description
cbaines/applying patch fail Apply failed

Commit Message

Brian Leung May 5, 2019, 12:34 a.m. UTC
I forgot to lint, so I'm resubmitting these patches.

Comments

Ricardo Wurmus May 6, 2019, 3:01 p.m. UTC | #1
Hi Brian,

thank you for these patches.

I have applied these files:

  0002-gnu-emacs-hl-todo-Update-to-3.0.0.patch
  0004-gnu-emacs-elfeed-Update-to-3.1.0.patch
  0005-gnu-emacs-evil-nerd-commenter-Update-to-3.3.7.patch

The other two patches update packages to unreleased versions, which we
usually avoid unless there’s a very good reason to pick a version
mid-release.

Could you tell us why the upgrades to emacs-highlight-symbol and
emacs-avy are needed?

--
Ricardo

Patch
diff mbox series

From 563a4d0bf048871d4de7019fbacbb9534d54c849 Mon Sep 17 00:00:00 2001
From: Brian Leung <bkleung89@gmail.com>
Date: Sun, 5 May 2019 02:32:01 +0200
Subject: [PATCH 4/5] gnu: emacs-elfeed: Update to 3.1.0.

* gnu/packages/emacs-xyz.scm (emacs-elfeed): Update to 3.1.0.
---
 gnu/packages/emacs-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 9272f67fe5..58f65640ec 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -4908,7 +4908,7 @@  If you want to mark a folder manually as a project just create an empty
 (define-public emacs-elfeed
   (package
     (name "emacs-elfeed")
-    (version "3.0.0")
+    (version "3.1.0")
     (source
      (origin
        (method git-fetch)
@@ -4917,7 +4917,7 @@  If you want to mark a folder manually as a project just create an empty
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "01x4ww63lvn04c7f3ab5vx2s20xqisvv8213qwswz7vr9nxja5yi"))))
+        (base32 "1bzpl6lc7kq9bph4bfz1fn19207blrnhjr2g7yinhn0nnnjmxi8i"))))
     (build-system emacs-build-system)
     (arguments
      `(#:tests? #t
-- 
2.21.0